cpw.mods.fml.common.launcher

## Class FMLDeobfTweaker

- java.lang.Object
- - cpw.mods.fml.common.launcher.FMLDeobfTweaker

- All Implemented Interfaces:
    net.minecraft.launchwrapper.ITweaker

      public class FMLDeobfTweaker
      extends java.lang.Object
      implements net.minecraft.launchwrapper.ITweaker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLDeobfTweaker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptOptions(java.util.List<java.lang.String> args, java.io.File gameDir, java.io.File assetsDir, java.lang.String profile)`
    `java.lang.String[]` | `getLaunchArguments()`
    `java.lang.String` | `getLaunchTarget()`
    `void` | `injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLDeobfTweaker

          public FMLDeobfTweaker()

  - ### Method Detail

    - #### acceptOptions

          public void acceptOptions(java.util.List<java.lang.String> args,
                           java.io.File gameDir,
                           java.io.File assetsDir,
                           java.lang.String profile)

      Specified by:
        `acceptOptions` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### injectIntoClassLoader

          public void injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)

      Specified by:
        `injectIntoClassLoader` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchTarget

          public java.lang.String getLaunchTarget()

      Specified by:
        `getLaunchTarget` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchArguments

          public java.lang.String[] getLaunchArguments()

      Specified by:
        `getLaunchArguments` in interface `net.minecraft.launchwrapper.ITweaker`